<html>
<!--    cibl&eacute; par: Choix-chalet.php


		cible: nouveau-contrat2.php 						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
	 						-code_client
							-nb_chalet
							-date_soumission
							-plein_prix
							-prix_reel
							-repas
							-plein_prix_cafe
							-prix_reel_cafe
							

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_client
							-nb_chalet
							-chalet1,2,3...
-->
<head>


  

<!--validation du champ nombre de chalet pour eviter un champ vide-->
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
function check() {
  if (document.contract1.date_emission.value == "") {
    alert("Date d'emission obligatoire.\n");
    return false;
  }
    if (document.contract1.numero.value == "") {
    alert("Numero de contrat obligatoire.\n");
    return false;
  }
    if (document.contract1.date_debut.value == "") {
    alert("Date obligatoire.\n");
    return false;
  }
    if (document.contract1.date_fin.value == "") {
    alert("Date obligatoire.\n");
    return false;
  }
    if (document.contract1.heure_debut.value == "") {
    alert("Date obligatoire.\n");
    return false;
  }
    if (document.contract1.heure_fin.value == "") {
    alert("Date obligatoire.\n");
    return false;
  }
  return true;
}
</script> 

 
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Nouveau contrat</title>
<body>

<?php 


//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("gestion-poste.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

$code_contrat = $_GET["code_contrat"];
$etape = $_GET["etape"];
$code_client = $_GET["code_client"];
$nb_chalet = $_GET["nb_chalet"];
$etape = $_GET["etape"];
$type = $_GET["type"];
$date_emission = $_GET["date_emission"];
$numero = $_GET["numero"];
$date_debut = $_GET["date_debut"];
$heure_debut = $_GET["heure_debut"];
$cal_debut = $_GET["cal_debut"];
$date_fin = $_GET["date_fin"];
$heure_fin = $_GET["heure_fin"];
$cal_fin = $_GET["cal_fin"];
$nb_jeune = $_GET["nb_jeune"];
$nb_adulte = $_GET["nb_adulte"];

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
	





	//Afficher les champs d'entr&eacute;e des informations du nouveau dossier.

	




/////////////////////////////////////////////////////////////////////////////////
/////					POUR LE CALCUL ENTRE DEUX DATES						/////
/////////////////////////////////////////////////////////////////////////////////
function facteur($jour,$mois,$annee){ 
    $b=365*$annee; 
    $c=31*($mois-1); 
    if (($mois==1) || ($mois==2)){ 
        $d= 0; 
        $e = intval(($annee -1)/4); 
        $h = intval(0.75*(intval(($annee-1)/100)+1)); 
    } 
    else { 
        $d= intval(0.4*$mois+2.3); 
        $e = intval($annee/4); 
        $h = intval(0.75*(intval($annee/100)+1)); 
    } 
    $result = $jour + $b+ $c - $d +$e -$h; 
    return $result; 
} 

function diff_dates_cal_greg($jour1,$mois1,$annee1,$jour2,$mois2,$annee2){ 
    $diff = facteur($jour2,$mois2,$annee2)-facteur($jour1,$mois1,$annee1); 
    return $diff; 
} 


/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////





	
	
	
	
if (empty ($etape))
{	
	displayFields();
}
if ($etape == 1)
{

	$error = 0;

	$sql = "SELECT numero_contrat
        	  FROM base_contrat
			  WHERE numero_contrat = '$numero';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire numero_contrat".$sql);
	$row = mysqli_fetch_row($result);
	$no = $row[0];
	if (!empty($no))
	{
		$error = 1;
		print("<BR>Le num&eacute;ro du contrat existe d&eacute;j&agrave;<BR>");
	}

	


	//CALCUL DE LA DIFF&Eacute;RENCE POUR LE NOMBRE DE NUIT&Eacute;ES////////
	$aryDateDebut = explode("-",$date_debut);
	if(empty($debut_annee)) $debut_annee = $aryDateDebut[0];
	if(empty($debut_mois)) $debut_mois = $aryDateDebut[1];
	if(empty($debut_jour)) $debut_jour = $aryDateDebut[2];

	$aryDateFin = explode("-",$date_fin);
	if(empty($fin_annee)) $fin_annee = $aryDateFin[0];
	if(empty($fin_mois)) $fin_mois = $aryDateFin[1];
	if(empty($fin_jour)) $fin_jour = $aryDateFin[2];
	$nuite = diff_dates_cal_greg($debut_jour,$debut_mois,$debut_annee,$fin_jour,$fin_mois,$fin_annee);
	
	///////////////////////////////////////////////////////////

	
	
	$validation_date = 0;
	
	
	if ($debut_annee < $fin_annee)
		$validation_date = 1;
	if (($debut_annee == $fin_annee) and ($debut_mois < $fin_mois))
		$validation_date = 1;
	if (($debut_annee == $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour <= $fin_jour))
		$validation_date = 1;
	if (($debut_annee == $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour == $fin_jour) and ($cal_debut > $cal_fin))
	{
		$validation_date = 0;
		print("validation=".$validation_date."<br>");
	}	
	if ($validation_date == 1)	
	{
		// cr&eacute;er le nouveau enregistrement dans la table contrat*******************
		 $sql = "insert into base_contrat
				 set date_emission = '$date_emission',
				 	 numero_contrat = '$numero',
					 date_debut = '$date_debut',
					 mois_du_contrat = '$debut_mois',
					 date_fin = '$date_fin',
					 num_client = '$code_client',
					 heure_debut = '$heure_debut',
					 heure_fin = '$heure_fin',
					 cal_debut = '$cal_debut',
					 cal_fin = '$cal_fin',
					 etat = '$type',
					 nuite = '$nuite',
					 mis_a_jour = now();";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation!<br>".$sql);
		$valide = 1;
		historique("../historique.txt","---numero: ".$numero.", debut: ".$date_debut." ".$heure_debut." ".$cal_debut.", fin: ".$date_fin." ".$heure_fin." ".$cal_fin.", etat: ".$type.", nuite: ".$nuite."",$Bsession_id);	}else
	{	
		print("<center><b><font face=Arial,Helvetica size=2><br>");
		print("La date de fin pr&eacute;c&egrave;de la date de debut du contrat. Veuillez choisir une autre date.<br><br>");
		print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
		historique("../historique.txt","---La date de fin precede la date de debut du contrat",$Bsession_id);
		$valide = 0;
	}




	if ($valide==1)
	{

		
//////////////////////////////////////////////////////////////////////////////////////////////////////
//trouver le code du contrat*****************************************************************************************
		$sql = "select code_contrat FROM base_contrat
			    WHERE num_client = '$code_client' 
				  AND date_emission = '$date_emission'
				  AND numero_contrat = '$numero';";
			  
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me code contrat<br>".$sql);
		$row = mysqli_fetch_row($result);
		$code_contrat = $row[0];

		
			
	
//insertion dans la table nb_clients********************************************************************************************

		$sql = "insert into base_nb_clients
				   set code_contrat = '$code_contrat',	
					   nb_jeune = '$nb_jeune',
					   nb_adulte ='$nb_adulte',
					   actif = 'O',			   
				       mis_a_jour = now();";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation dans nb_clients!<br>".$sql);
		historique("../historique.txt","---nb_adulte: ".$nb_adulte.", nb_jeune: ".$nb_jeune."",$Bsession_id);
	
//insertion dans la table base_cafeteria***************************************************************************************
		if (!empty($nb_repas))	
		{
			$plein_prix_total = ($nb_repas * $prix_par_repas) + ($lunchpm * $prix_lunchpm);
			 $sql = "insert into base_cafeteria
					    set num_cafeteria = '1',
					  	    code_contrat = '$code_contrat',
							nb_pers = '$nb_pers',
							nb_repas = '$nb_repas',
							lunchpm = '$lunchpm',
							prix_lunchpm = '$prix_lunchpm',
							prix_par_repas = '$prix_par_repas',
							prix_plein = '$plein_prix_total',
							prix_rabais = '$prix_reel_cafe',
							actif = 'O',
							date_modif = now(),
							mis_a_jour = now();";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation de cafeteria!<br>".$sql);
		}


		print("<table width=100% border=0><tr><td valign=top>");			

		//Formulaire d'ajout d'un nouveau membre suite.
		print ("<form action=\"gestion-contract.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"get\" name=\"gestion\">");
		print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
		print("<input type=\"hidden\" name=\"code_contrat\" value=".$code_contrat.">");
		print("<input type=\"hidden\" name=\"code_client\" value=".$code_client.">");
		

	print("<center><table cellspacing=0 cellpadding=0 width=200px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Confirmation</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr><tr><td colspan=3 bgcolor=#E7EFCE>");		
		print("<center><font face=Arial,Helvetica size=2><b>Premi&egrave;re &eacute;tape valid&eacute;</b><BR><BR>");
		print("<input type=\"submit\" value=\"Suite\"></form></td></tr></table>");
		
print("<center><table cellspacing=0 cellpadding=0 width=200px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");			
		
	
///////////////////////////////////////////////////////////////////////////////////////	
//MISE A JOUR DES POSTES BUDG&Eacute;TAIRE////////////////////////////////////////////////////
// si $poste = 1 c'est la premi&egrave;re fois qu'il est enregistrer						 //
// sinon c'est un update des modification											 //
///////////////////////////////////////////////////////////////////////////////////////
//prend des infos sur le client
		$sql = "SELECT base_clients.type
		         FROM base_clients
				WHERE base_clients.code_client = '$code_client';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de recherche dans base_clients<br>".$sql);
		$row1 = mysqli_fetch_row($result);
		$type = $row1[0];
		if (($type != "annul&eacute;") or ($type != "soumission"))
		{
			GestionPoste(1,$type,$code_contrat,$code_client,$ancien_prix,$nouveau_prix,$chalet,$prec_etat);
		}		
		$poste =1;
///////////////////////////////////////////////////////////////////////////////////////		
	
}

	}

	
 /*************************************************************************
 * displayFields
 *
 * Tāche: Afficher les champs d'ajout de donn&eacute;es ainsi que le bouton
 *        de soumission des donn&eacute;es d'ajout.
 *
 ************************************************************************/
function displayFields()
{ 
//Variables globales.
	global $Bsession_id, $code_client;
				
	
	
	//Formulaire d'ajout d'un nouveau membre.
	print ("<form action=\"nouveau-contract1.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"get\" name=\"contract1\" onSubmit='return check()'>");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"hidden\" name=\"code_client\" value=".$code_client.">");
	print("<input type=\"hidden\" name=\"nb_chalet\" value=".$nb_chalet.">");
	print("<input type=\"hidden\" name=\"etape\" value=1>");	
	historique("../historique.txt","MENU NOUVEAU CONTRAT",$Bsession_id);
	
	displayClient();
	displayContract();
	displayClientele();
	
	//bouton de soumission	
	print("<center><br>");
	print("<input type=\"submit\" value=\"Soumettre\"></form>");	
	
//BAS DE PAGE**********************************************************************
	
	print("<hr><table width=100%><tr><td width=50%>");
	print("<div align=left>");	
	//Afficher le bouton de retour au menu principal.
	print("<form action=\"../menu-base.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"post\" name=\"principal\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"image\" alt=\"menu_principal\" src=\"bouton1.gif\" border=0></form>");
	print("</td><tr></table>");		

}	
	
	
	
/*************************************************************************
 * displayContract
 *
 * Tāche: Afficher les champs de donn&eacute;es du client ainsi que le lien pour le modifier
 *
 ************************************************************************/	
function displayContract()
{	
	//Tableau de mise en page.
	print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><font face=Arial,Helvetica size=3 color=white><b>2 : Information sur le contrat</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");	
	
	print("<table cellspacing=0 cellpadding=0 width=750px border=0>");
	
	//&Eacute;TAT
	print("<tr><td bgcolor=#E7EFCE colspan=2><font face=Arial,Helvetica size=2><b>");
	print("&Eacute;tat:");
	print("</b>");
	print("<select name=\"type\">");
			print("<option selected value=\"actif\">actif</option>");
			print("<option value=\"soumission\">soumission</option>");
			print("<option value=\"annul&eacute;\">annul&eacute;</option>");			
	print("	</select>");
	
	
	
		
	//DATE D'&Eacute;MISSION
	$aryDateMaintenant = explode("-",date("d-m-Y"));
	$today_annee = $aryDateMaintenant[2];
	$today_mois = $aryDateMaintenant[1];
	$today_jour = $aryDateMaintenant[0]; 
	print("</div></td></tr><tr><td bgcolor=#C8DB8D colspan=2><font face=Arial,Helvetica size=2>");
	print("<b>Date d'&eacute;mission : </b>");
	print("<input type=\"text\" name=\"date_emission\" value=\"".$today_annee."-".$today_mois."-".$today_jour."\" align=\"top\" maxlength=\"15\" size=\"25\"> (AAAA-MM-JJ)<br>");
	print("</td></tr>");
	
	//NUM&Eacute;RO DU CONTRAT ET INCREMENTATION
	$sql = "select numero_contrat FROM base_contrat
			    ORDER BY numero_contrat DESC";
			  
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me code contrat dans l'incr&eacute;mentation<br>".$sql);
		$row = mysqli_fetch_row($result);
		$numero_contrat = $row[0] + 1;
	
	
	
	print("<tr><td bgcolor=#E7EFCE colspan=2><font face=Arial,Helvetica size=2>");
	print ("<b>Num&eacute;ro du contrat: </b>");
	print("<input type=\"text\" name=\"numero\" value=\"".$numero_contrat."\" align=\"top\" maxlength=\"10\" size=\"9\">");
		
	

	//DATE DU CONTRACT
	//debut
	print("</td></tr><tr><td bgcolor=#C8DB8D><font face=Arial,Helvetica size=2>");
	print("<b>Date d&eacute;but : </b>");
	print("<input type=\"text\" name=\"date_debut\" align=\"top\" maxlength=\"10\" size=\"10\"> (AAAA-MM-JJ)<br>");
	print("<b>Heure d&eacute;but: </b>");
	print("<input type=\"text\" name=\"heure_debut\" align=\"top\" maxlength=\"10\" size=\"9\"> (HHMM)<br>");
	print("<b>Calendrier d&eacute;but: </b>");
	print("<select name=\"cal_debut\">
		<option selected value=\"1\">1</option>
		<option value=\"2\">2</option>
		<option value=\"3\">3</option>
		<option value=\"4\">4</option>			
	</select>");

	
	print("</td><td bgcolor=#C8DB8D><font face=Arial,Helvetica size=2>");
	//fin	
	print("<b>Date fin : </b>");
	print("<input type=\"text\" name=\"date_fin\" align=\"top\" maxlength=\"10\" size=\"10\"> (AAAA-MM-JJ)<br>");
	print("<b>Heure fin: </b>");
	print("<input type=\"text\" name=\"heure_fin\" align=\"top\" maxlength=\"10\" size=\"9\"> (HHMM)<br>");
	print("<b>Calendrier fin: </b>");
	print("<select name=\"cal_fin\">
		<option selected value=\"1\">1</option>
		<option value=\"2\">2</option>
		<option value=\"3\">3</option>
		<option value=\"4\">4</option>	
	</select>");
		
	
	
	print("</td></tr></table>");
	print("</center></td></tr></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table><BR><BR>");		
	
}	
	
	
	
/*************************************************************************
 * displayClient
 *
 * Tāche: Afficher les champs de donn&eacute;es du client ainsi que le lien pour le modifier
 *
 ************************************************************************/	
function displayClient()
{

	//Variables globales.
		global $Bsession_id, $code_client;
 	
/*******************************************************************************************
 Requ&ecirc;te pour afficher le client
/*******************************************************************************************/
	$sql = "SELECT organisme, type, org_tel, org_ad_civile, org_rue, org_ville,
    	           org_province, org_pays, org_code_postal, commentaire   
        	FROM base_clients
		    WHERE base_clients.code_client = '$code_client';";
		
	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table des clients".$sql);
	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);

	// met la valeur dans les variables
	if ($num)
	{
		$i = 0;
		$row = mysqli_fetch_row($result);
		$organisme = ($row[$i++]);
		$type = ($row[$i++]);
		$org_tel = ($row[$i++]);
		$org_ad_civile = ($row[$i++]);
		$org_rue = ($row[$i++]);
		$org_ville = ($row[$i++]);
		$org_province = ($row[$i++]);
		$org_pays = ($row[$i++]);
		$org_code_postal = ($row[$i++]);
		$commentaire = ($row[$i++]);
	}
	else
	{
		die ("Il y a un probl&egrave;me dans la base de donn&eacute;es !".$sql);
	}

	// fait le m&eacute;nage des r&eacute;sultat en m&eacute;moire
	((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);
	
//*****************************************************************************************************
// afficher les r&eacute;sultats du client********************************************************************
//*****************************************************************************************************
	
	print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><font face=Arial,Helvetica size=3 color=white><b>1 : Information sur le client</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");	
	
	
	print("<table cellspacing=0 cellpadding=0 width=750px border=0>");
	print("<tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	print("<b>Organisme:</b> ".$organisme."</td><td bgcolor=#C8DB8D><font face=Arial,Helvetica size=2>");
	print("<b>Type:</b> ".$type."</td></tr><tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	print("<b>T&eacute;l&eacute;phone:</b> ".$org_tel."</td><td bgcolor=#C8DB8D><font face=Arial,Helvetica size=2>");
	print("<b>Commentaire:<br></b>".$commentaire."</td></tr><tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	print("<b>Adresse:<br></b> ".$org_ad_civile." ".$org_rue.",<br>");
	print($org_ville.", ".$org_province.",<br>");
	print($org_pays."<br>".$org_code_postal."</td><td bgcolor=#C8DB8D>");
	
	//lien modifier client
	print("<a href=\"../client/gestion-client.php?Bsession_id=$Bsession_id&code_client=$code_client\">Modifier le client</a>");
	
	print("</tr></td></table>");

print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table><BR><BR>");	
	
	
}		



/*************************************************************************
 * displayclientele
 *
 * Tāche: Afficher les champs de donn&eacute;es du nombre de jeune et d'adulte
 *
 ************************************************************************/
function displayClientele()
{
	//Tableau de mise en page.
	print("<table width=750px border=0>");
	print("<tr><td bgcolor=black colspan=2><font face=Arial,Helvetica><font size=4 color=white><b><center>Client&egrave;le</b></center></font></td></tr>");

	//JEUNE
	print("<tr><td><font face=Arial,Helvetica size=2><b>");
	print("<b>Nombre de jeune : </b>");
	print("<input type=\"text\" name=\"nb_jeune\" align=\"top\" maxlength=\"15\" size=\"5\"><br><br>");
	print("<br></td>");

	//ADULTE
	print("<td><font face=Arial,Helvetica size=2><b>");
	print("<b>Nombre d'adulte : </b>");
	print("<input type=\"text\" name=\"nb_adulte\" align=\"top\" maxlength=\"15\" size=\"5\"><br><br>");
	print("<br></td></tr>");
	
	
	print("</center></td></tr></table>");	
	
}	




	
	




	
?>

</body>
</html>	
	
	
	
	
